<!DOCTYPE html>
<html lang="en"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<h:head>
	<title>Forgot password</title>
	<meta charset="UTF-8" />
	<meta name="author" content="David Toth" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
</h:head>
<h:body>
	<f:facet name="last">
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/all.min-jsf.css" />
		<h:outputStylesheet library="webjars" name="font-awesome/5.14.0/css/v4-shims.min-jsf.css" />
		<h:outputStylesheet name="css/primeflex.css"/>
		<h:outputStylesheet name="css/main-style.css"/>
	</f:facet>
	
	<div class="background">
		<div class="form-wrapper">
			<div class="header">
				<h1>Forgot password?</h1>
				<h4>You can reset your password here.</h4>
			</div>
			<div class="p-grid p-formgrid ui-fluid">
				<h:form id="forgotPasswordForm">
					<div class="form-control">
						<p:inputText id="email" 
							placeholder="Your e-mail address" 
							required="True" 
							requiredMessage="Email cannot be empty"
							validatorMessage="Please enter a valid email address">
							<f:validateRegex pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
							<p:clientValidator event="blur" />
						</p:inputText>
						<small><p:message id="email-error" for="email" display="text" /></small>
					</div>
					<p:commandButton id="btnEmailReset" 
						value="Reset my password"
						styleClass="btn-submit" 
						validateClient="true" 
						update="@form"/>
				</h:form>
			</div>
		</div>
	</div>
</h:body>	
</html>